<?php

/**
 * Uniwin Fortnox
 *
 * @package       UNIWINFORT
 * @author        Mohan
 * @license       gplv2
 * @version       1.0.8
 *
 * @wordpress-plugin
 * Plugin Name:   Uniwin Fortnox
 * Plugin URI:    https://uniwin.se/
 * Description:   Uniwin Fortnox
 * Version:       1.0.8
 * Author:        Mohan
 * Author URI:    https://uniwin.se/
 * Text Domain:   uniwin-fortnox
 * Domain Path:   /languages
 * License:       GPLv2
 * License URI:   https://www.gnu.org/licenses/gpl-2.0.html
 *
 * You should have received a copy of the GNU General Public License
 * along with Uniwin Fortnox. If not, see <https://www.gnu.org/licenses/gpl-2.0.html/>.
 */

// Exit if accessed directly.
if (!defined('ABSPATH')) exit;

/**
 * HELPER COMMENT START
 * 
 * This file contains the main information about the plugin.
 * It is used to register all components necessary to run the plugin.
 * 
 * The comment above contains all information about the plugin 
 * that are used by WordPress to differenciate the plugin and register it properly.
 * It also contains further PHPDocs parameter for a better documentation
 * 
 * The function UNIWINFORT() is the main function that you will be able to 
 * use throughout your plugin to extend the logic. Further information
 * about that is available within the sub classes.
 * 
 * HELPER COMMENT END
 */

// Plugin name
define('UNIWINFORT_NAME',			'Uniwin Fortnox');

// Plugin version
define('UNIWINFORT_VERSION',		'1.0.8');

// Plugin Root File
define('UNIWINFORT_PLUGIN_FILE',	__FILE__);

// Plugin base
define('UNIWINFORT_PLUGIN_BASE',	plugin_basename(UNIWINFORT_PLUGIN_FILE));

// Plugin Folder Path
define('UNIWINFORT_PLUGIN_DIR',	plugin_dir_path(UNIWINFORT_PLUGIN_FILE));

// Plugin Folder URL
define('UNIWINFORT_PLUGIN_URL',	plugin_dir_url(UNIWINFORT_PLUGIN_FILE));

define('FORTNOX_OAUTH_URL', 'https://apps.fortnox.se/oauth-v1/auth');
define('FORTNOX_TOKEN_URL', 'https://apps.fortnox.se/oauth-v1/token');
define('FORTNOX_API_URL', 'https://api.fortnox.se');
define('FORTNOX_CLIENT_ID', 'vg17erUDxEd1');
define('FORTNOX_CLIENT_SECRET', 'xoPg6SGMMh');
define('FORTNOX_SCOPE', 'settings project costcenter order article invoice payment customer bookkeeping supplierinvoice price');

/**
 * Load the main class for the core functionality
 */
require_once UNIWINFORT_PLUGIN_DIR . 'core/class-uniwin-fortnox.php';

if (!in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
	include_once(ABSPATH . 'wp-admin/includes/plugin.php');
	add_action(
		'admin_notices',
		'uf_woocommerce_cant_find'
	);
	deactivate_plugins( // deactivate for media_manager
		array(
			'/uniwin-fortnox/uniwin-fortnox.php'
		),
		true, // silent mode (no deactivation hooks fired)
		false // network wide
	);
	register_deactivation_hook(__FILE__, 'deactivate_uniwin_fortnox');
}
function uf_woocommerce_cant_find()
{
	printf(
		'<div class="notice notice-error"><p>'
			. '<strong>%s ERROR:</strong> <span>%s</span></p></div>',
		(string) __('Uniwin Fortnox', 'uniwin-fortnox'),
		(string) __(
			"WooCommerce is not installed or activated",
			'uniwin-fortnox'
		)
	);
}
/**
 * The main function to load the only instance
 * of our master class.
 *
 * @author  Mohan
 * @since   1.0.0
 * @return  object|Uniwin_Fortnox
 */
function UNIWINFORT()
{
	return Uniwin_Fortnox::instance();
}

UNIWINFORT();
